<?php  
	include "conexion.php";
	include "insertar_log.php";

	$secuencia = $_GET['secuencia'];
	$id_aplicacion = $_GET['id_aplicacion'];
	//$secuencia = "1912";
	$id_turno=0;

	$control =0;

	$datos = " Ingresa a obtener_corte_turno con secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);

	$sql = "SELECT ";
	$sql .="id_equipo_clase, ";
	$sql .="id_equipo, ";
	$sql .="id_comando, ";
	$sql .="res_dato, ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";
	//$sql .="estado = 2 ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando secuencia=".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$_id_equipo_clase = $row['id_equipo_clase'];
        $_id_equipo = $row['id_equipo'];
        $_id_comando = $row['id_comando'];
        $_dato = $row['res_dato'];
        $estado = $row['estado'];
        $control = 1;
    }

    $resultado->free();

    $datos = " Se obtuvo infocmacion comando secuencia=".$secuencia;	
		insertarLog($datos,$id_aplicacion);

    if($control==0)
    {

    	$datos = " No existe comando";	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"No existe Comando","");
        return;

    }

    if($control==1)
    {
    	if($estado==0 || $estado==1)
    	{
    		$datos = " En proceso...";	
			insertarLog($datos,$id_aplicacion);
    		echo response(1,"En proceso","");
        	return;
    	}

	    $arreglo = explode("|", $_dato);

	    if($arreglo[0]==0)
	    {
	    	$id_turno = $arreglo[1];
	    }
	    else
	    {
	    	$datos = " Error codigo:".$arreglo[0];	
			insertarLog($datos,$id_aplicacion);
	    	echo response(2,"Error codigo ".$arreglo[0],$arreglo[0]);
	        return;
	    }

	    if (($id_turno != 0 && $id_turno!="") && $estado==2) 
	    {
	    	$sql = "delete from ";
		    $sql .= "gaslight.comandos ";
		    $sql .= "where ";
		    $sql .= "id_aplicacion = ".$id_aplicacion." and ";
		    $sql .= "id_secuencia = ".$secuencia." ";

		     $resultado = $conexion->query($sql); 

		    if($resultado == false)
		    {
		    	$datos = " Error al eliminar comando secuencia:".$secuencia;	
				insertarLog($datos,$id_aplicacion);
		        echo response(2,"Error al eliminar comando","");
		        return;
		    }
		    
		    $datos = " Elimino comando" .$id_turno." ----------- secuencia:".$secuencia;	
			insertarLog($datos,$id_aplicacion);
	    }
	    

    }

    if($id_turno==0)
    {
    	$datos = " Error no existe turno...";	
		insertarLog($datos,$id_aplicacion);
    	//echo response(2,"Error no existe turno".$id_turno,"");
	    return;
    }


	$array =   array();

	$sql = "select ";
    $sql .= "c.id_estacion, ";
    $sql .= "c.razon_social, ";
    $sql .= "a.fecha_inicio, ";
    $sql .= "a.fecha_fin, ";
    $sql .= "tc.descripcion, ";
    $sql .= $id_turno." id_turno, ";
	$sql .= "date_format(now(),'%Y-%m-%d %H:%i:%s') as fecha ";
    $sql .= "from ";
    $sql .= "turnos a, ";
    $sql .= "estacion c, ";
    $sql .= "cat_tipo_estacion tc ";
    $sql .= "where ";
    $sql .= "c.tipo=tc.tipo and ";
    $sql .= "a.id_turno=" . $id_turno . " ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$estacion= $fila;
	}



	$turno["estacion"]=$estacion;

	$sentencia->close();

	$datos = " Obtuvo informacion estacion...";	
			insertarLog($datos,$id_aplicacion);

	$sql = "select ";
    $sql .= "b.id_bomba, ";
    $sql .= "b.id_posicion, ";
    $sql .= "b.id_isla, ";
    $sql .= "d.nombre, ";
    $sql .= "b.total_inicio_volumen, ";
    $sql .= "b.total_fin_volumen, ";
    $sql .= "b.total_inicio_monto, ";
    $sql .= "b.total_fin_monto, ";
    $sql .= "b.total_diferencia_volumen, ";
    $sql .= "b.total_diferencia_monto, ";
    $sql .= "b.sum_volumen, ";
    $sql .= "b.sum_monto ";
    $sql .= "from ";
    $sql .= "turnos a, ";
    $sql .= "turnos_bombas b, ";
    $sql .= "productos d, ";
    $sql .= "mangueras e ";
    $sql .= "where ";
    $sql .= "a.id_turno=b.id_turno and ";
    $sql .= "b.id_bomba=e.id_bomba and ";
    $sql .= "b.id_posicion=e.id_posicion and ";
    $sql .= "e.id_producto=d.id_producto and ";
    $sql .= "a.id_turno=" . $id_turno . " ";
    $sql .= "order by ";
    $sql .= "b.id_isla, ";
    $sql .= "b.id_bomba, ";
    $sql .= "b.id_posicion ";


	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$array[$cont]= $fila;
		$cont++;
	}

	$turno["turno_carburantes"]=json_encode($array, JSON_UNESCAPED_UNICODE);

	$sentencia->close();

	$sql = "select ";
    $sql .= "a.id_tanque, ";
    $sql .= "b.descripcion, ";
    $sql .= "a.inicio_volumen, ";
    $sql .= "a.fin_volumen, ";
    $sql .= "a.entregas_volumen, ";
    $sql .= "a.venta_volumen ";
    $sql .= "from ";
    $sql .= "turnos_tanques a, ";
    $sql .= "tanques b ";
    $sql .= "where  ";
    $sql .= "a.id_tanque=b.id_tanque and ";
    $sql .= "a.id_turno=" . $id_turno . " ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	$cont=0;
	while($fila = $resultado->fetch_assoc())
	{
		$array2[$cont]= $fila;
		$cont++;
	}

	$turno["turno_tanques"]=json_encode($array2, JSON_UNESCAPED_UNICODE);

	$sentencia->close();

	
	$datos = " Termina obtener informaion corte de turno.";	
			insertarLog($datos,$id_aplicacion);
	
	echo response(0,"",json_encode($turno));


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>